CoreGTK 3.22.0 CoreGTK is an Objective-C language binding for the GTK+ widget toolkit

Instance Methods | List of all members
CGTKBuilder Class Reference
Inheritance diagram for CGTKBuilder:
[legend]
Collaboration diagram for CGTKBuilder:
[legend]

## Instance Methods
(id) | - init
(id) | - initFromFile:
(id) | - initFromResource:
(id) | - initFromStringWithString:andLength:
(GtkBuilder *) | - BUILDER
(void) | - addCallbackSymbolWithCallbackName:andCallbackSymbol:
(guint) | - addFromFileWithFilename:andErr:
(guint) | - addFromResourceWithResourcePath:andErr:
(guint) | - addFromStringWithBuffer:andLength:andErr:
(guint) | - addObjectsFromFileWithFilename:andObjectIds:andErr:
(guint) | - addObjectsFromResourceWithResourcePath:andObjectIds:andErr:
(guint) | - addObjectsFromStringWithBuffer:andLength:andObjectIds:andErr:
(void) | - connectSignals:
(void) | - connectSignalsFullWithFunc:andUserData:
(void) | - exposeObjectWithName:andObject:
(guint) | - extendWithTemplateWithWidget:andTemplateType:andBuffer:andLength:andErr:
(GtkApplication *) | - getApplication
(GObject *) | - getObject:
(GSList *) | - getObjects
(NSString *) | - getTranslationDomain
(GType) | - getTypeFromName:
(GCallback) | - lookupCallbackSymbol:
(void) | - setApplication:
(void) | - setTranslationDomain:
(BOOL) | - valueFromStringWithPspec:andString:andValue:andErr:
(BOOL) | - valueFromStringTypeWithType:andString:andValue:andErr:
Instance Methods inherited from CGTKBase
(id) | - initWithGObject:
(GtkWidget *) | - WIDGET
(void) | - setGObject:
(GObject *) | - GOBJECT

## Additional Inherited Members
Class Methods inherited from CGTKBase
(CGTKBase *) | + withGObject:
Protected Attributes inherited from CGTKBase
GObject * | __gObject

## Detailed Description

Definition at line 35 of file CGTKBuilder.h.

## Method Documentation

## ◆ addCallbackSymbolWithCallbackName:andCallbackSymbol:()

- (void) addCallbackSymbolWithCallbackName: |  | (NSString*) | callbackName
andCallbackSymbol: |  | (GCallback) | callbackSymbol

-(void*)addCallbackSymbolWithCallbackName:(NSString*) callbackName andCallbackSymbol:(GCallback) callbackSymbol;

Parameters

  callbackName |
  callbackSymbol |

Definition at line 89 of file CGTKBuilder.m.

## ◆ addFromFileWithFilename:andErr:()

- (guint) addFromFileWithFilename: |  | (NSString*) | filename
andErr: |  | (GError**) | err

-(guint*)addFromFileWithFilename:(NSString*) filename andErr:(GError**) err;

Parameters

  filename |
  err |

Returns
  guint

Definition at line 94 of file CGTKBuilder.m.

## ◆ addFromResourceWithResourcePath:andErr:()

- (guint) addFromResourceWithResourcePath: |  | (NSString*) | resourcePath
andErr: |  | (GError**) | err

-(guint*)addFromResourceWithResourcePath:(NSString*) resourcePath andErr:(GError**) err;

Parameters

  resourcePath |
  err |

Returns
  guint

Definition at line 99 of file CGTKBuilder.m.

## ◆ addFromStringWithBuffer:andLength:andErr:()

- (guint) addFromStringWithBuffer: |  | (NSString*) | buffer
andLength: |  | (gsize) | length
andErr: |  | (GError**) | err

-(guint*)addFromStringWithBuffer:(NSString*) buffer andLength:(gsize) length andErr:(GError**) err;

Parameters

  buffer |
  length |
  err |

Returns
  guint

Definition at line 104 of file CGTKBuilder.m.

## ◆ addObjectsFromFileWithFilename:andObjectIds:andErr:()

- (guint) addObjectsFromFileWithFilename: |  | (NSString*) | filename
andObjectIds: |  | (gchar**) | objectIds
andErr: |  | (GError**) | err

-(guint*)addObjectsFromFileWithFilename:(NSString*) filename andObjectIds:(gchar**) objectIds andErr:(GError**) err;

Parameters

  filename |
  objectIds |
  err |

Returns
  guint

Definition at line 109 of file CGTKBuilder.m.

## ◆ addObjectsFromResourceWithResourcePath:andObjectIds:andErr:()

- (guint) addObjectsFromResourceWithResourcePath: |  | (NSString*) | resourcePath
andObjectIds: |  | (gchar**) | objectIds
andErr: |  | (GError**) | err

-(guint*)addObjectsFromResourceWithResourcePath:(NSString*) resourcePath andObjectIds:(gchar**) objectIds andErr:(GError**) err;

Parameters

  resourcePath |
  objectIds |
  err |

Returns
  guint

Definition at line 114 of file CGTKBuilder.m.

## ◆ addObjectsFromStringWithBuffer:andLength:andObjectIds:andErr:()

- (guint) addObjectsFromStringWithBuffer: |  | (NSString*) | buffer
andLength: |  | (gsize) | length
andObjectIds: |  | (gchar**) | objectIds
andErr: |  | (GError**) | err

-(guint*)addObjectsFromStringWithBuffer:(NSString*) buffer andLength:(gsize) length andObjectIds:(gchar**) objectIds andErr:(GError**) err;

Parameters

  buffer |
  length |
  objectIds |
  err |

Returns
  guint

Definition at line 119 of file CGTKBuilder.m.

## ◆ BUILDER()

- (GtkBuilder *) BUILDER |  |  |

Methods

Definition at line 84 of file CGTKBuilder.m.

## ◆ connectSignals:()

- (void) connectSignals: |  | (gpointer) | userData |

-(void*)connectSignals: userData;

Parameters

  userData |

Definition at line 124 of file CGTKBuilder.m.

## ◆ connectSignalsFullWithFunc:andUserData:()

- (void) connectSignalsFullWithFunc: |  | (GtkBuilderConnectFunc) | func
andUserData: |  | (gpointer) | userData

-(void*)connectSignalsFullWithFunc:(GtkBuilderConnectFunc) func andUserData:(gpointer) userData;

Parameters

  func |
  userData |

Definition at line 129 of file CGTKBuilder.m.

## ◆ exposeObjectWithName:andObject:()

- (void) exposeObjectWithName: |  | (NSString*) | name
andObject: |  | (GObject*) | object

-(void*)exposeObjectWithName:(NSString*) name andObject:(GObject*) object;

Parameters

  name |
  object |

Definition at line 134 of file CGTKBuilder.m.

## ◆ extendWithTemplateWithWidget:andTemplateType:andBuffer:andLength:andErr:()

- (guint) extendWithTemplateWithWidget: |  | (CGTKWidget*) | widget
andTemplateType: |  | (GType) | templateType
andBuffer: |  | (NSString*) | buffer
andLength: |  | (gsize) | length
andErr: |  | (GError**) | err

-(guint*)extendWithTemplateWithWidget:(CGTKWidget*) widget andTemplateType:(GType) templateType andBuffer:(NSString*) buffer andLength:(gsize) length andErr:(GError**) err;

Parameters

  widget |
  templateType |
  buffer |
  length |
  err |

Returns
  guint

Definition at line 139 of file CGTKBuilder.m.

## ◆ getApplication()

- (GtkApplication *) getApplication |  |  |

-(GtkApplication**)getApplication;

Returns
  GtkApplication*

Definition at line 144 of file CGTKBuilder.m.

## ◆ getObject:()

- (GObject *) getObject: |  | (NSString*) | name |

-(GObject**)getObject: name;

Parameters

  name |

Returns
  GObject*

Definition at line 149 of file CGTKBuilder.m.

## ◆ getObjects()

- (GSList *) getObjects |  |  |

-(GSList**)getObjects;

Returns
  GSList*

Definition at line 154 of file CGTKBuilder.m.

## ◆ getTranslationDomain()

- (NSString *) getTranslationDomain |  |  |

-(NSString**)getTranslationDomain;

Returns
  NSString*

Definition at line 159 of file CGTKBuilder.m.

## ◆ getTypeFromName:()

- (GType) getTypeFromName: |  | (const char*) | typeName |

-(GType*)getTypeFromName: typeName;

Parameters

  typeName |

Returns
  GType

Definition at line 164 of file CGTKBuilder.m.

## ◆ init()

- (id) init |  |  |

Constructors

Definition at line 36 of file CGTKBuilder.m.

## ◆ lookupCallbackSymbol:()

- (GCallback) lookupCallbackSymbol: |  | (NSString*) | callbackName |

-(GCallback*)lookupCallbackSymbol: callbackName;

Parameters

  callbackName |

Returns
  GCallback

Definition at line 169 of file CGTKBuilder.m.

## ◆ setApplication:()

- (void) setApplication: |  | (GtkApplication*) | application |

-(void*)setApplication: application;

Parameters

  application |

Definition at line 174 of file CGTKBuilder.m.

## ◆ setTranslationDomain:()

- (void) setTranslationDomain: |  | (NSString*) | domain |

-(void*)setTranslationDomain: domain;

Parameters

  domain |

Definition at line 179 of file CGTKBuilder.m.

## ◆ valueFromStringTypeWithType:andString:andValue:andErr:()

- (BOOL) valueFromStringTypeWithType: |  | (GType) | type
andString: |  | (NSString*) | string
andValue: |  | (GValue*) | value
andErr: |  | (GError**) | err

-(BOOL*)valueFromStringTypeWithType:(GType) type andString:(NSString*) string andValue:(GValue*) value andErr:(GError**) err;

Parameters

  type |
  string |
  value |
  err |

Returns
  BOOL

Definition at line 189 of file CGTKBuilder.m.

## ◆ valueFromStringWithPspec:andString:andValue:andErr:()

- (BOOL) valueFromStringWithPspec: |  | (GParamSpec*) | pspec
andString: |  | (NSString*) | string
andValue: |  | (GValue*) | value
andErr: |  | (GError**) | err

-(BOOL*)valueFromStringWithPspec:(GParamSpec*) pspec andString:(NSString*) string andValue:(GValue*) value andErr:(GError**) err;

Parameters

  pspec |
  string |
  value |
  err |

Returns
  BOOL

Definition at line 184 of file CGTKBuilder.m.

The documentation for this class was generated from the following files:

- CGTKBuilder.h
- CGTKBuilder.m